# class KDateInternalMonthPicker | A table containing month names. More...
Internal Use Only
Definition | `#include <kdatetbl.h>`
Inherits | QTableView (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KDateInternalMonthPicker (int fontsize, QWidget* parent, const char* name=0)
- QSize sizeHint () const
- int getResult ()

#### Signals

- void closeMe (int)

#### Protected Methods

- void setupPainter (QPainter *p)
- void resizeEvent (QResizeEvent*)
- void paintCell (QPainter* painter, int row, int col)
- void mousePressEvent (QMouseEvent *e)
- void mouseMoveEvent (QMouseEvent *e)
- void mouseReleaseEvent (QMouseEvent *e)

#### Protected Members

- int result
- short int activeCol
- short int activeRow
- QRect max

## Detailed Description

A table containing month names. It is used to pick a month directly.

int result | ### result

[protected]

short int activeCol | ### activeCol

[protected]

short int activeRow | ### activeRow

[protected]

QRect max | ### max

[protected]

void closeMe (int) | ### closeMe

[signal]

KDateInternalMonthPicker (int fontsize, QWidget* parent, const char* name=0) | ### KDateInternalMonthPicker

QSize sizeHint () | ### sizeHint

[const]

int getResult () | ### getResult

Return the result. 0 means no selection (reject()), 1..12 are the months.

void setupPainter (QPainter *p) | ### setupPainter

[protected]

Reimplemented from QTableView.

void resizeEvent (QResizeEvent*) | ### resizeEvent

[protected]

Reimplemented from QTableView.

void paintCell (QPainter* painter, int row, int col) | ### paintCell

[protected]

Reimplemented from QTableView.

void mousePressEvent (QMouseEvent *e) | ### mousePressEvent

[protected]

void mouseMoveEvent (QMouseEvent *e) | ### mouseMoveEvent

[protected]

void mouseReleaseEvent (QMouseEvent *e) | ### mouseReleaseEvent

[protected]

- Version: $Id: kdatetbl.h,v 1.19 2000/08/15 21:42:06 waba Exp $
- Author: Tim Gilman, Mirko Sucker
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.